//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/inventoryitem.cpp                                        $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:25 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Inventory items

#include "inventoryitem.h"

CLASS_DECLARATION( Item, InventoryItem, NULL );

Event EV_InventoryItem_Use( "useinvitem" );

ResponseDef InventoryItem::Responses[] =
{
	{ &EV_InventoryItem_Use, ( Response )& InventoryItem::Use },
	{ NULL, NULL }
};


InventoryItem::InventoryItem()
{
	// All powerups are inventory items
	if( DM_FLAG( DF_NO_POWERUPS ) )
	{
		PostEvent( EV_Remove, 0 );
		return;
	}
}

void InventoryItem::Use( Event* ev )

{}
